#include<iostream>
#include<fstream>
#include<string>
using namespace std; 

bool isVowel(char c)
{
	return (c == 'a' ||
		c == 'e' ||
		c == 'i' ||
		c == 'o' ||
		c == 'u' ||
		c == 'A' ||
		c == 'E' ||
		c == 'I' ||
		c == 'O' ||
		c == 'U');
}

bool isConsonant(char c)
{
	return !isVowel(c);
}

int leadingConsonants(string s)
{
	int result = 0;
	while(isConsonant( s[result]) && result < s.length())
	{
		result++;
	}
	return result;
}

void translateWord(string& word)
{
	char lastchar = word[word.length()-1];
	string postFix = "";
	if(lastchar == '.')
	{
		word = word.substr(0, word.length-1);
		postFix += lastchar;
	}
	
	int consonantCount = leadingConsonants(word);
	if(consonantCount > 0)
	{
		word += word.substr(0,consonantCount);
		word = word.substr(consonantCount);
		word += "ay";
	}
	else
	{
		word += "yay";
	}
	word += postFix;
}

void translateLine(string& line)
{
	string pigLatinString = "";
	string word= "";
	for(int i = 0; i <= line.length(); i++)
	{
		if(isspace(line[i]) || i == line.length())
		{
			translateWord(word);
			pigLatinString += word;
			pigLatinString += " ";
			word = "";
		}
		else
		{
			word += line[i];
		}
	}
	line = pigLatinString;
}

void main()
{
	string s;
	//it dynamicaly grows
	//cin >> s;
	getline(cin,s);

	translateLine(s);
	cout << s << endl;

	//if(s == "apple")
	//{
	//	cout << "it was an apple";
	//}
	//s = "orange"; // assignment works this way
	//cout << s << endl;
	//s = s + " Juice";
	//s = " Juice" + s;
	//s += " Juice";
	//s.append(" Juice");
	//cout << s << endl;

	//int x = s.find('Z');
	//cout << x << endl;
	//cout << s.find('Z') << endl;
	//cout << string::npos << endl;

}









